Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
GET

Get a task

Scope: projects:projects.read https://api.alladdin.com/api/v2/tasks/{taskId}

Returns a single task by its ID.

Parameters

Path parameters

taskId string required

Task ID

Request

python
import requests

url = "https://api.alladdin.com/api/v2/tasks/{taskId}"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "id": "507f1f77bcf86cd799439011",
  "project_id": "string",
  "list_id": "string",
  "name": "string",
  "description": "string",
  "index": "1",
  "status": "string",
  "status_name": "string",
  "priority": 0,
  "story_points": 0,
  "type": "string",
  "start_date": "string",
  "due_date": "string",
  "archived": false,
  "updated_at": "string",
  "created_at": "string",
  "assigned_to": [
    "string"
  ],
  "comments": [
    {}
  ],
  "featured": false,
  "reference": "string"
}

Success responses

200 Task found application/json object id string required

Unique identifier

project_id string required

Project ID

list_id string | null required

List ID

name string required

Task name

description string required

Task description

index string required

Task index as a decimal string

status string required

Task status

status_name string | null required

The status's display name in the account, as the user sees it

priority integer required

Task priority

story_points number required

Story points

type string required

Task type

start_date string | null required

Start date, formatted according to the account's date settings

due_date string | null required

Due date, formatted according to the account's date settings

archived boolean required

Whether the task is archived

updated_at string | null required

Last update date in ISO 8601

created_at string | null required

Creation date in ISO 8601

assigned_to[] string[] required

Assigned user IDs

comments[] object[] required

Task comments

featured boolean required

Whether the task is featured

reference string required

Task reference

Error responses

401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Task not found application/json 429 Rate limit exceeded application/json

← PreviousList all tasks →

Next →Delete a task →